import { CSSProperties } from 'vue';
import { ConnectionLineType, ConnectionMode, Elements, PanOnScrollMode, KeyCode, TranslateExtent, NodeTypes, EdgeTypes, FlowStore, Loading } from '../../types';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: import("vue").PropType<string>;
    };
    store: {
        type: import("vue").PropType<FlowStore>;
    };
    modelValue: {
        type: import("vue").PropType<Elements<any>>;
    } & {
        default: () => never[];
    };
    nodeTypes: {
        type: import("vue").PropType<NodeTypes>;
    };
    edgeTypes: {
        type: import("vue").PropType<EdgeTypes>;
    };
    connectionMode: {
        type: import("vue").PropType<ConnectionMode>;
    } & {
        default: ConnectionMode;
    };
    connectionLineType: {
        type: import("vue").PropType<ConnectionLineType>;
    } & {
        default: ConnectionLineType;
    };
    connectionLineStyle: {
        type: import("vue").PropType<CSSProperties>;
    };
    deleteKeyCode: {
        type: import("vue").PropType<KeyCode>;
    } & {
        default: string;
    };
    selectionKeyCode: {
        type: import("vue").PropType<KeyCode>;
    } & {
        default: string;
    };
    multiSelectionKeyCode: {
        type: import("vue").PropType<KeyCode>;
    } & {
        default: string;
    };
    zoomActivationKeyCode: {
        type: import("vue").PropType<KeyCode>;
    } & {
        default: string;
    };
    preventScrolling: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    snapToGrid: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    snapGrid: {
        type: import("vue").PropType<[number, number]>;
    } & {
        default: () => number[];
    };
    onlyRenderVisibleElements: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    nodesDraggable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    nodesConnectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    elementsSelectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    selectNodesOnDrag: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    paneMoveable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    minZoom: {
        type: import("vue").PropType<number>;
    } & {
        default: number;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    } & {
        default: number;
    };
    defaultZoom: {
        type: import("vue").PropType<number>;
    } & {
        default: number;
    };
    defaultPosition: {
        type: import("vue").PropType<[number, number]>;
    } & {
        default: () => number[];
    };
    translateExtent: {
        type: import("vue").PropType<TranslateExtent>;
    } & {
        default: () => number[][];
    };
    nodeExtent: {
        type: import("vue").PropType<TranslateExtent>;
    } & {
        default: () => number[][];
    };
    arrowHeadColor: {
        type: import("vue").PropType<string>;
    } & {
        default: string;
    };
    markerEndId: {
        type: import("vue").PropType<string>;
    };
    zoomOnScroll: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    zoomOnPinch: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    panOnScroll: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    panOnScrollSpeed: {
        type: import("vue").PropType<number>;
    } & {
        default: number;
    };
    panOnScrollMode: {
        type: import("vue").PropType<PanOnScrollMode>;
    } & {
        default: PanOnScrollMode;
    };
    zoomOnDoubleClick: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    edgeUpdaterRadius: {
        type: import("vue").PropType<number>;
    } & {
        default: number;
    };
    storageKey: {
        type: import("vue").PropType<string>;
    };
    loading: {
        type: import("vue").PropType<Loading>;
    } & {
        default: boolean;
    };
    worker: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    elements: {
        type: import("vue").PropType<Elements<any>>;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    id?: unknown;
    store?: unknown;
    modelValue?: unknown;
    nodeTypes?: unknown;
    edgeTypes?: unknown;
    connectionMode?: unknown;
    connectionLineType?: unknown;
    connectionLineStyle?: unknown;
    deleteKeyCode?: unknown;
    selectionKeyCode?: unknown;
    multiSelectionKeyCode?: unknown;
    zoomActivationKeyCode?: unknown;
    preventScrolling?: unknown;
    snapToGrid?: unknown;
    snapGrid?: unknown;
    onlyRenderVisibleElements?: unknown;
    nodesDraggable?: unknown;
    nodesConnectable?: unknown;
    elementsSelectable?: unknown;
    selectNodesOnDrag?: unknown;
    paneMoveable?: unknown;
    minZoom?: unknown;
    maxZoom?: unknown;
    defaultZoom?: unknown;
    defaultPosition?: unknown;
    translateExtent?: unknown;
    nodeExtent?: unknown;
    arrowHeadColor?: unknown;
    markerEndId?: unknown;
    zoomOnScroll?: unknown;
    zoomOnPinch?: unknown;
    panOnScroll?: unknown;
    panOnScrollSpeed?: unknown;
    panOnScrollMode?: unknown;
    zoomOnDoubleClick?: unknown;
    edgeUpdaterRadius?: unknown;
    storageKey?: unknown;
    loading?: unknown;
    worker?: unknown;
    elements?: unknown;
} & {
    minZoom: number;
    maxZoom: number;
    translateExtent: TranslateExtent;
    nodeExtent: TranslateExtent;
    connectionMode: ConnectionMode;
    snapToGrid: boolean;
    snapGrid: [number, number];
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    connectionLineType: ConnectionLineType;
    deleteKeyCode: KeyCode;
    selectionKeyCode: KeyCode;
    multiSelectionKeyCode: KeyCode;
    zoomActivationKeyCode: KeyCode;
    onlyRenderVisibleElements: boolean;
    selectNodesOnDrag: boolean;
    paneMoveable: boolean;
    defaultZoom: number;
    defaultPosition: [number, number];
    arrowHeadColor: string;
    zoomOnScroll: boolean;
    zoomOnPinch: boolean;
    panOnScroll: boolean;
    panOnScrollSpeed: number;
    panOnScrollMode: PanOnScrollMode;
    zoomOnDoubleClick: boolean;
    preventScrolling: boolean;
    edgeUpdaterRadius: number;
    loading: Loading;
    worker: boolean;
    modelValue: Elements<any>;
} & {
    id?: string | undefined;
    markerEndId?: string | undefined;
    elements?: Elements<any> | undefined;
    nodeTypes?: NodeTypes | undefined;
    edgeTypes?: EdgeTypes | undefined;
    connectionLineStyle?: CSSProperties | undefined;
    storageKey?: string | undefined;
    store?: FlowStore | undefined;
}> & {
    [x: string & `on${string}`]: ((...args: any[]) => any) | undefined;
}, {
    minZoom: number;
    maxZoom: number;
    translateExtent: TranslateExtent;
    nodeExtent: TranslateExtent;
    connectionMode: ConnectionMode;
    snapToGrid: boolean;
    snapGrid: [number, number];
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    connectionLineType: ConnectionLineType;
    deleteKeyCode: KeyCode;
    selectionKeyCode: KeyCode;
    multiSelectionKeyCode: KeyCode;
    zoomActivationKeyCode: KeyCode;
    onlyRenderVisibleElements: boolean;
    selectNodesOnDrag: boolean;
    paneMoveable: boolean;
    defaultZoom: number;
    defaultPosition: [number, number];
    arrowHeadColor: string;
    zoomOnScroll: boolean;
    zoomOnPinch: boolean;
    panOnScroll: boolean;
    panOnScrollSpeed: number;
    panOnScrollMode: PanOnScrollMode;
    zoomOnDoubleClick: boolean;
    preventScrolling: boolean;
    edgeUpdaterRadius: number;
    loading: Loading;
    worker: boolean;
    modelValue: Elements<any>;
}>;
export default _default;
